Subject: Re: Multicast and partitioned links?

From: [email-masked] (Jeremy Hall)
Date: Fri, 28 Sep 2001 09:29:45 -0400 (EDT)

If the two routers cannot hear eachother's pim messages on the lan, they
will work correctly with the caveat that upstream routers may not know to
which router to RPF for the hosts.  It is better to subnet differently
based on topological boundaries.

_J

In the new year, Erik Nordmark wrote:
> 
> I'm trying to figure out the detailed impact on multicast routing
> when e.g. a Ethernet link is partitioned so that some hosts can communicate
> with one multicast router and other hosts can communicate with
> another multicast router. (See pictures below.)
> 
> Is this behavior deterministic? Is it a function of what multicast routing
> protocol is used? Is it a function of different implementations of
> multicast routing protocols?
> RTFMs are welcome.
> 
> 
> 		Rest of Internet
> 		|		|
> 		|		|
> 		R1		R2		Multicast routers
> 		|		|
> 		X---------------X		Ethernet hubs/switches
> 		|		|
> 		H1		H2
> 
> Assume that a single IP subnet prefix is assigned to the link.
> What happens when the link partitions due to the horizontal link
> between the two switches fail?
> 
> Clearly both multicast routers continue to adverise the subnet prefix
> using the routing protocol, since they have an interface with that subnet
> prefix assigned to it.
> But they loose any routing protocol adjacency between each other on that link.
> 
> I assume this means that they will both become IGMP/MLD queriers on the link.
> Does it also mean that they will forward multicast packets from the link
> (with source addresses in the subnet prefix) towards the rest of
> the Internet? As far as I can tell they should, but this perhaps depends
> on the multicast routing protocol?
> What about groups in which H1 and H2 are members? Will multicast packets
> from the "outside" reach them?
> 
> My guesses so far are:
>  - The routers (due the the partition) are no longer aware of each other.
>  - Each router becomes an IGMP/MLD querier on the link hence
>    they discover which groups H1 and H2 are part of.
>  - They both forward packets from the link towards the rest of the Internet.
>    Thus when H1 sends multicasts R1 will forward it; when H2 sends R2 will 
>    forward.
>  - Some packets sent by H1 and H2 will not reach all receivers due to
>    RPF checks further away from R1 and R2. This is caused by the RPF
>    check operating what is believes is the shortest path to the subnet prefix
>    which implicitly assumes that e.g. both R1 and R2 would forward packets sent
>    by H1.
>  - Multicast groups with senders in the Internet (i.e. outside the partitioned
>    links) will(?) be received by both H1 and H2 - both R1 and R2 will forward
>    multicast packets onto the partitioned link.
>    (When the link is not partitioned R1 and R2 will elect one of them as
>    a forwarder onto the link. But at least for some multicast routing
>    protocols (all of them?) the election of a forwarder will elect
>    both when there is a partition - caused by R1 and R2 not being able to
>    communicate with each other over the link.)
> 
> Greateful for any information, clues, or RTFMs.
> 
>   Erik
> 
>    
>    
>

---

From: Erik Nordmark <[email-masked]>
Date: Fri, 28 Sep 2001 09:42:47 +0200 (CEST)

Rest of Internet
		|		|
		|		|
		R1		R2		Multicast routers
		|		|

My guesses so far are:

  Erik